Ciele
Services d'assistance

Reorder escalation channels

POST/api/v1/help-desks/{id}/channels/reorder

Nécessite une clé API d'organisation disposant de la capacité edit.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/help-desks/string/channels/reorder" \  -H "Content-Type: application/json" \  -d '{    "orderedIds": [      "string"    ]  }'
{  "data": [    {      "id": "string",      "name": "string",      "createdAt": "string",      "updatedAt": "string",      "enabled": true,      "position": 0,      "kind": "external_link",      "helpDeskId": "string",      "formTitle": "string",      "form": [        {          "id": null,          "type": null,          "label": null,          "placeholder": null,          "usePlaceholderAsDefault": null,          "useAsReplyTo": null,          "required": null,          "showInForm": null,          "options": null        }      ],      "confirmationMessage": "string",      "conversationData": {        "chatSummary": null,        "fullChatHistory": null,        "userData": null,        "metadata": null      },      "availability": {        "mode": null,        "timezone": "string",        "hours": {          "monday": null,          "tuesday": null,          "wednesday": null,          "thursday": null,          "friday": null,          "saturday": null,          "sunday": null        }      },      "config": {        "authType": null,        "url": null,        "headers": null,        "queryParams": null,        "destinationEmail": null,        "phoneNumber": null,        "phoneCountry": null,        "apiKeyHeaderName": null,        "basicUsername": null,        "hasApiKey": null,        "hasBearerToken": null,        "hasBasicPassword": null      }    }  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}